%define upstream_name	 Test-Tester
%define upstream_version 0.107

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:	Ease testing test modules built with Test::Builder
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.bz2

BuildArch:	noarch

%description
If you have written a test module based on Test::Builder then Test::Tester
allows you to test it with the minimum of effort.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES README TODO META.yml
%{_mandir}/*/*
%{perl_vendorlib}/Test/Tester
%{perl_vendorlib}/Test/Tester.pm


%changelog
* Wed Jan 19 2011 jquelin <jquelin> 0.107.0-5.mga1
+ Revision: 24068
- clean spec file
- imported package perl-Test-Tester


* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.107-5mdv2010.1
+ Revision: 430600
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.107-4mdv2009.0
+ Revision: 258580
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.107-3mdv2009.0
+ Revision: 246558
- rebuild

* Mon Mar 03 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.107-1mdv2008.1
+ Revision: 177898
- update to new version 0.107

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Sep 03 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.106-1mdv2008.0
+ Revision: 78721
- update to new version 0.106

* Thu Aug 30 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.105-1mdv2008.0
+ Revision: 75232
- update to new version 0.105


* Tue Jan 09 2007 Olivier Thauvin <nanardon@mandriva.org> 0.104-1mdv2007.0
+ Revision: 106250
- 0.104

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-Test-Tester

* Sat Apr 29 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.103-3mdk
- Fix SPEC according to Perl Policy
	- Source URL
- Remove perl Require

* Mon Mar 06 2006 Buchan Milne <bgmilne@mandriva.org> 0.103-2mdk
- Rebuild
- use mkrel

* Wed Oct 12 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.103-1mdk
- Initial MDV release

